function addscoreboards
gamemode 2 @a[tag=!spectate,m=!c]
execute as @e[type=robotplatformer:marker,tag=left] run scoreboard players add left1 markers 1
execute as @e[type=robotplatformer:marker,tag=right] run scoreboard players add right1 markers 1
execute as @e[type=robotplatformer:marker,tag=forward] run scoreboard players add forward1 markers 1
execute as @e[type=robotplatformer:marker,tag=left2] run scoreboard players add left2 markers 1
execute as @e[type=robotplatformer:marker,tag=right2] run scoreboard players add right2 markers 1
execute as @e[type=robotplatformer:marker,tag=forward2] run scoreboard players add forward2 markers 1
execute if score left1 markers matches 2.. run kill @e[type=robotplatformer:marker,tag=left,c=1]
execute if score right1 markers matches 2.. run kill @e[type=robotplatformer:marker,tag=right,c=1]
execute if score forward1 markers matches 2.. run kill @e[type=robotplatformer:marker,tag=forward,c=1]
execute if score left2 markers matches 2.. run kill @e[type=robotplatformer:marker,tag=left2,c=1]
execute if score right2 markers matches 2.. run kill @e[type=robotplatformer:marker,tag=right2,c=1]
execute if score forward2 markers matches 2.. run kill @e[type=robotplatformer:marker,tag=forward2,c=1]
function directiondetection
tp @a[tag=spectate] @a[c=1,tag=player]
execute as @a[tag=spectate] at @s run camera @s set minecraft:free ease 0.1 linear pos ~ -56.0 17 rot 0 0
execute as @a[tag=player] at @s run camera @s set minecraft:free ease 0.1 linear pos ~ -56.0 17 rot 0 0
execute as @a[tag=player2] at @s run camera @s set minecraft:free ease 0.1 linear pos ~ -56.0 17 rot 0 0
camera @a[tag=!player,tag=!player2,tag=!spectate] clear
inputpermission set @a[tag=player] camera disabled
inputpermission set @a[tag=player2] camera disabled
inputpermission set @a[tag=!player,tag=!player2] camera enabled
effect @a[tag=player] invisibility 1 1 true
effect @a[tag=player2] invisibility 1 1 true
function ongroundandrunframe
function setplayertexture
function playernotmoving
effect @a[tag=player] speed 5 3 true
effect @a[tag=player] jump_boost 5 3 true
effect @a[tag=player2] speed 5 3 true
effect @a[tag=player2] jump_boost 5 3 true
effect @e[family=unkillable] regeneration 1 255 true
effect @e[family=unkillable] resistance 1 255 true
effect @e[family=unkillable] instant_health 1 255 true
effect @e[family=unkillable] invisibility 1 255 true
function tpandcrouchingslowness
scoreboard players add goombatimer frameenemy 1
execute if score goombatimer frameenemy matches 5.. run scoreboard players add goomba frameenemy 1
execute if score goombatimer frameenemy matches 5.. run scoreboard players set goombatimer frameenemy 0
execute if score goomba frameenemy matches 3.. run scoreboard players set goomba frameenemy 1
function setenemytexture
function enemymovement
tag @a[scores={hp=1}] add small
tag @a[scores={hp=2..}] remove small
function iframes
execute as @a[tag=!small,tag=player] at @s if block ~~-0.1~ air unless block ~~2~ air run function breakblock
execute as @a[tag=!small,tag=player2] at @s if block ~~-0.1~ air unless block ~~2~ air run function breakblock
execute as @a[tag=!small,tag=player] at @s if block ~~-0.1~ air unless block ~~2~ air run function interactblockbig
execute as @a[tag=!small,tag=player2] at @s if block ~~-0.1~ air unless block ~~2~ air run function interactblockbig
execute as @a[tag=small,tag=player] at @s if block ~~-0.1~ air unless block ~~1~ air run function interactblocksmall
execute as @a[tag=small,tag=player2] at @s if block ~~-0.1~ air unless block ~~1~ air run function interactblocksmall
function detectmarkers
scoreboard players remove @a[scores={removelevitation=1..}] removelevitation 1
effect @a[scores={removelevitation=0}] levitation 0 0
execute as @a[x=37,y=-62,z=24,dx=0.2,dy=0,dz=0] at @s run tp ~-0.1~~
execute as @a[x=-34.0,y=-56.5,z=24,tag=player,r=0.8] at @s if score crouching moving matches 1 if score onground moving matches 1 run tp ~~-0.1~
execute as @a[x=-34.0,y=-57.5,z=24,tag=player,r=0.8] at @s if score crouching moving matches 1 if score onground moving matches 1 run tp ~~-0.1~
execute as @a[x=-34.0,y=-56.5,z=24,tag=player2,r=0.8] at @s if score crouching2 moving matches 1 if score onground2 moving matches 1 run tp ~~-0.1~
execute as @a[x=-34.0,y=-57.5,z=24,tag=player2,r=0.8] at @s if score crouching2 moving matches 1 if score onground2 moving matches 1 run tp ~~-0.1~
execute as @a[x=-34.0,y=-56.5,z=25,tag=player,r=0.8] at @s if score crouching moving matches 1 if score onground moving matches 1 run tp ~~-0.1~
execute as @a[x=-34.0,y=-57.5,z=25,tag=player,r=0.8] at @s if score crouching moving matches 1 if score onground moving matches 1 run tp ~~-0.1~
execute as @a[x=-34.0,y=-56.5,z=25,tag=player2,r=0.8] at @s if score crouching2 moving matches 1 if score onground2 moving matches 1 run tp ~~-0.1~
execute as @a[x=-34.0,y=-57.5,z=25,tag=player2,r=0.8] at @s if score crouching2 moving matches 1 if score onground2 moving matches 1 run tp ~~-0.1~
tp @a[x=-34.1,y=-59,z=24,dx=-0.8,dy=0,dz=0] 48.0 -49 24.7
tp @a[x=36,y=-62,z=24,dx=0,dy=0,dz=0] -140.0 -60.05 24.7
execute as @a[x=-140.1,y=-60,z=24,dx=-0.8,dy=0.99,dz=0] at @s run tp @s ~~0.1~
scoreboard players add groundtheme musictimer 0
execute if score groundtheme musictimer matches 0 run stopsound @a groundthemenoteblocks
execute if score groundtheme musictimer matches 0 run playsound groundthemenoteblocks @a
execute if score groundtheme musictimer matches 0.. run scoreboard players add groundtheme musictimer 1
execute if score groundtheme musictimer matches 1780.. run scoreboard players set groundtheme musictimer 0
execute as @e[tag=player] at @s if entity @s[x=~,y=-63,z=~,dx=0,dy=-100,dz=0] run function respawnplayer
execute as @e[tag=player2] at @s if entity @s[x=~,y=-63,z=~,dx=0,dy=-100,dz=0] run function respawnplayer
scoreboard players reset * player
execute as @a run scoreboard players operation @s player = @s playerchose
execute unless score running gameRunning matches 1 run scoreboard objectives setdisplay sidebar player
execute unless score running gameRunning matches 0 run scoreboard objectives setdisplay sidebar
scoreboard players add startBig settings 0
execute if entity @a[x=-181,y=-60,z=24,dx=-6,dy=21,dz=0,tag=player] run function endgame
execute if entity @a[x=-181,y=-60,z=24,dx=-6,dy=21,dz=0,tag=player2] run function endgame
tp @a[tag=spectate,scores={character=!0}] 0 0 0
tp @a[tag=player,scores={character=!1}] 0 0 0
replaceitem entity @a[tag=player,scores={character=!1}] slot.armor.head 0 air
tp @a[tag=player2,scores={character=!2}] 0 0 0
replaceitem entity @a[tag=player2,scores={character=!2}] slot.armor.head 0 air
tag @a[tag=spectate,scores={character=!0}] remove spectate
tag @a[tag=player,scores={character=!1}] remove player
tag @a[tag=player2,scores={character=!2}] remove player2
scoreboard players add @a character 0
clearspawnpoint @a
effect @a instant_health 1 1 true
effect @a resistance 1 255 true
effect @a saturation 1 255 true
execute if score running gameRunning matches 1 run tag @a[scores={character=0}] add spectate
execute if score running gameRunning matches 1 as @a[m=!spectator,scores={character=0}] at @s run gamemode spectator @a[m=!c]
execute as @a[tag=player] at @s if entity @s[x=~,y=~,z=25.5,r=0.5] run tp @s ~~~-1
execute as @a[tag=player2] at @s if entity @s[x=~,y=~,z=25.5,r=0.5] run tp @s ~~~-1
execute as @a[scores={hp=0}] at @s run function respawnplayer
execute as @a[tag=player] at @s if block ~~~ robotplatformer:coin run function collectcoin
execute as @a[tag=player2] at @s if block ~~~ robotplatformer:coin run function collectcoin
execute as @a[tag=player,scores={hp=2..}] at @s if block ~~1~ robotplatformer:coin run execute positioned ~~1~ run function collectcoin
execute as @a[tag=player2,scores={hp=2..}] at @s if block ~~1~ robotplatformer:coin run execute positioned ~~1~ run function collectcoin